//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
PAGES
======================================================================================================================================
*/

body {
    .animation__fadein;
}

//Default template
.c-page {
    margin-top: @topPaddingBody;

    @media @media_smartphone, @media_tablet {
        margin-top: @topPaddingBody_phone;
    }
}

.c-page__header {
    position: relative;
    height: calc(100vh ~'-'@margin__l);
    min-height: 600px;
    margin-bottom: @margin__l;
    overflow: hidden;
    z-index: 1;

    .c-pageHeader__background {
        position: absolute;
        top: -10px;
        right: -10px;
        bottom: -10px;
        left: -10px;
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        filter: blur(8px);
        -webkit-filter: blur(8px);
        opacity: .2;
        z-index: -1;
    }

    &:after {
        position: absolute;
        content: '';
        display: block;
        left: 0;
        bottom: 0;
        right: 0;
        height: 50%;
        width: 100%;
        background-image: linear-gradient(180deg, rgba(0, 48, 90, 0.00) 0%, #00305A 100%);
        z-index: -1;
    }

    &:before {
        position: absolute;
        content: '';
        display: block;
        right: 0;
        top: 0;
        width: 600px;
        height: 600px;
        background-image: url('./images/hero-draw.svg');
        background-position: top right;
        background-size: contain;
        background-repeat: no-repeat;
        opacity: .6;
        z-index: -1;
    }

    .c-page__thumbnail {
        position: absolute;
        right: 0;
        bottom: 60px;
        height: 360px;
        width: 600px;
        overflow: hidden;
        z-index: 0;
        box-shadow: 0 0 60px 0 #1E73BE;
    }

    .c-pageHeader__inner {
        position: absolute;
        left: @margin__xl;
        top: 50%;
        width: calc(100% ~'-'800px);
        max-width: 600px;
        .u-transform(translateY(-50%));

        .c-page__title {
            font-size: @size__xxxl;
            font-weight: @font_w__l;
            text-transform: uppercase;
            line-height: @font_line_h__xs;
            margin: 0;
        }

        .c-page__subtitle {
            font-size: @size__r;
        }
    }

    @media @media_landascape {
        &:before {
            width: 400px;
            height: 400px;
        }
        .c-pageHeader__inner {
            left: @margin__l;
        }
    }

    @media @media_desktop {
        &:before {
            width: 450px;
            height: 450px;
        }
        .c-pageHeader__inner {
            left: @margin__xl;
        }
    }

    @media @media_smartphone {
        margin-bottom: @margin__s/2;
        min-height: initial;

        &:before {
            width: 250px;
            height: 250px;
        }

        .c-page__thumbnail {
            right: 0;
            left: 0;
            bottom: 0;
            width: 100%;
            height: 35vh;
            box-shadow: none;
        }

        .c-pageHeader__inner {
            position: relative;
            left: initial;
            top: initial;
            width: 100%;
            padding: @margin__m @margin__s;
            .u-transform(translateY(0));
    
            .c-page__title {
                font-size: @size__xl;
            }
    
            .c-page__subtitle {
                font-size: @size__r;
            }
        }
    }

    @media @media_tablet {
        margin-bottom: @margin__l;
        min-height: initial;

        &:before {
            width: 400px;
            height: 400px;
        }

        .c-page__thumbnail {
            right: 0;
            left: 0;
            bottom: 0;
            width: 100%;
            height: 40vh;
            box-shadow: none;
        }

        .c-pageHeader__inner {
            position: relative;
            left: initial;
            top: @margin__l;
            width: 100%;
            padding: @margin__m @margin__s;
            .u-transform(translateY(0));
    
            .c-page__title {
                font-size: @size__xxl;
            }
    
            .c-page__subtitle {
                font-size: @size__r;
            }
        }
    }
}

.c-page__simpleHeader {
    padding: @margin__m*2 @margin__m;

    .inner {
        .u-flex-display;
    }

    .c-page__title {
        font-size: @size__xxl;
        font-weight: @font_w__l;
        text-transform: uppercase;
        line-height: @font_line_h__xs;
        margin: 0;
        width: 280px;
        padding-right: 28px;
    }

    &.fullWidth {
        .c-page__title {
            width: 100%;
        }
    }
    
    .c-page__subtitle {
        font-size: @size__r;
        width: calc(100% ~'-' 320px);
    }

    @media @media_tablet, @media_smartphone {
        padding: @margin__m @margin__m;

        .inner {
            .u-flex-direction(column);
        }

        .c-page__title {
            font-size: @size__xxl;
            width: 100%;
            padding-right: 0;
            margin-bottom: @margin__s;
        }

        &.fullWidth {
            padding: @margin__m @margin__m 0;
        }

        .c-page__subtitle {
            width: 100%;
        }
    }

    @media @media_smartphone {
        padding: @margin__m 0;
        .c-page__title {
            font-size: @size__xl;
        }
        &.fullWidth {
            padding: @margin__m 0 0;

            .c-page__title {
                width: 100%;
            }
        }
    }

    @media @media_landascape {
        padding: @margin__m;
    }
}

//Partner template
.partner {
    .c-page;
}

.c-pagePartner {
    .c-pagePartner__inner {
        position: relative;
        margin: 20vh auto;
        max-width: @maxWidthContainer;
        .u-flex-display;
        .u-justify-content(space-between);
    }

    .c-pagePartner__button {
        position: absolute;
        top: -(@button__height + @margin__s);
        left: 0;
    }

    .c-pagePartner__text {
        background-color: fade(@color__secondary, 15%);
        border-bottom-left-radius: 20px;
        padding: 30px @margin__s*2;  
    }
    .c-pagePartner__image {
        .u-flex-display;
        .u-align-items(center);
        padding: @margin__s;
        background-color: @color__white;
        width: 300px;
        .u-flex-shrink(0);
    }

    @media @media_smartphone, @media_tablet {
        padding: 0 @margin__s;
        .c-pagePartner__inner {
            .u-flex-direction(column-reverse);
        }
        .c-pagePartner__text {
            padding: @margin__s;  
        }
        .c-pagePartner__image {
            .u-justify-content(center);
            padding: @margin__s;
            width: 100%;
        }
    }
}

//Scroll button
.c-scrollButton {
    position: absolute;
    left: @margin__xl;
    bottom: 60px;
    color: @color__white;
    font-size: 12px;
    text-transform: uppercase;
    img {
        margin-right: 10px;
    }

    @media @media_desktop {
        left: @margin__xl;
    }

    @media @media_landascape {
        left: @margin__l;
    }
  
    @media @media_tablet {
        left: @margin__s;
        bottom: calc(40vh ~'+' @margin__s);
    }
    @media @media_smartphone{
        left: @margin__s;
        bottom: calc(35vh ~'+' @margin__s);
    }
}

//404
.error-404, .not-found {
    padding-top: @header__h + @margin__m;
    min-height: 600px;
    color: white;
    text-align: center;
    img {
        display: block;
        width: 50%;
        margin: 0 auto;
    }
}